pyopencl (2021.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on dh-sequence-{python3,numpy3,sphinxdoc}.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 30 Jan 2021 05:34:02 +0100

pyopencl (2021.1-1) unstable; urgency=medium

  * New upstream release.
  * Use release tarballs from pypi.
  * Refresh patches.
  * Build-depend on python3-sphinx-copybutton.
  * Continue using the sphinx alabaster theme, furo is not yet packaged.
  * Cleanup debian/rules.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Jan 2021 21:47:46 +0100

pyopencl (2020.3.1-1) unstable; urgency=medium

  * Team upload

  [ Andreas Beckmann ]
  * New upstream release.
  * Refresh patches.
  * Fix building and cleaning the new release.

  [ Picca Frédéric-Emmanuel ]
  * building doc requires a HOME, set it to /tmp
  * d/rules: Added build time tests  (Closes: #960436)
  * d/control: Added Build-Depends python3-pytest <!nocheck>
  * d/t/control: Added in order to test as installed on debci
  * Use secure URI in Homepage field.
  * d/control: Added python3-mako to python3-pyopencl, this missing
    package what spotted by autopkgtests.
  * Upload to unstable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2020 11:15:19 +0100

pyopencl (2020.2.2-1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release.  (Closes: #971829)
  * Refresh patches.
  * Bump Build-Depends: python3-pybind11 (>= 2.5.0).
  * The bullseye toolchain defaults to linking with --as-needed.
  * Build for all architectures where pocl-opencl-icd is available.
    (Closes: #947864) (LP: #1264844)
  * Import upstream tarballs into the packaging repository.
  * Use github repository as upstream.
  * Let the get-orig-source target create a reproducible tarball.
  * Switch to debhelper-compat (= 13)
  * Update Standards-Version to 4.5.1; no changes necessary.
  * Fix building twice in a row.
  * Rewrite shebang in python examples to python3.
  * Add myself to Uploaders.
  * Upload to experimental.

  [ Tomasz Rybak ]
  * Add options to get verbose log from pybuild.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Dec 2020 15:44:37 +0100

pyopencl (2019.1.1-1) unstable; urgency=medium

  * New upstream release.
    * Refresh patches.
  * Remove Python 2 packages, preparing for #937497.
    * Add patch to run build under Python 3.
  * Update Standards-Version to 4.4.1; no changes necessary.
  * Use debhelper-compat versioned dependency instead of d/compat
    to mark debhelper compatibility level.
  * Update d/copyright; use debmake suggestion and change name of MIT
    to Expat licence, removing ambiguity.
  * Add upstream GPG key.
  * Remove Replaces: python-pyopencl-headers, not-relevant even
    in oldoldstable.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 05 Nov 2019 22:10:21 +0100

pyopencl (2018.2.2-1) unstable; urgency=medium

  * New upstream release
    * Update d/copyright.
    * Refresh patches.
  * Add abort-on-upstream-changes to d/source/local-options.
  * Add more hardening options to d/rules.
  * Add lintian override for lack of autopkgtest.
  * Add DEB_BUILD_OPTIONS terse.
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Set compatibility level to 12; no changes necessary.
  * Update debian/watch to use substitution variables.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 27 Jan 2019 15:24:03 +0100

pyopencl (2018.2.1-1) unstable; urgency=medium

  * New upstream release, move to pybind11.
    * Update build dependencies.
    * Refresh patches.
    * Remove obsolete entries from d/copyright.
  * Add Rules-Requires-Root to d/control.
  * Update hardening build options.
  * Update d/copyright links to use https protocol.
  * Reorder d/control putting Python 3 packages first.
  * Remove unnecessary X-Python{,3}-Version fields.
  * Update Standards-Version to 4.2.1; no changes necessary.
  * Set compatibility level to 11
    * Point python-pycuda-doc.doc-base to main package's doc directory.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 18 Nov 2018 18:44:36 +0100

pyopencl (2018.1.1-2) unstable; urgency=medium

  [ Stuart Prescott <stuart@debian.org> ]
  * Fix FTBFS by updating pybuild call to 'python3' when building docs, with
    thanks to Rebecca N Palmer for diagnosing the problem and suggesting the
    solution (Closes: #893050).
  * Ensure persistent dict has somewhere to write so that documentation can
    be built on the buildd (Closes: #896521)

  [ Tomasz Rybak ]
  * Package is now group managed.
  * Update Vcs-* fields to point to Salsa.
  * Update Standards-Version to 4.1.4
    * Change d/watch to use upstream git repository URL.
  * Change d/copyright Format field to use https protocol.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 24 Apr 2018 20:29:03 +0200

pyopencl (2018.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email to @debian.org.
  * Add Multi-Arch: no for all binary packages.
  * Update copyright for file tests/test_clrandom.py
  * Reorder debian/copyright, per tip from lintian.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 08 Mar 2018 19:54:39 +0100

pyopencl (2017.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #884519).
  * Update dependency on pytools to 2017.6.
  * Update Standards-Version to 4.1.3; no changes necessary.
  * Update d/rules get-orig-source to remove all git-related files.
  * Update copyright for file pyopencl/algorithm.py
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 29 Dec 2017 22:38:34 +0100

pyopencl (2017.2-1) unstable; urgency=medium

  * New upstream release (Closes: #880583).
  * Update Standards-Version to 4.1.2.
    * Use DEB_BUILD_OPTIONS for nodoc option (Closes: #880559).
  * Add copyright for new file pyopencl/cltypes.py
  * Sort debian/copyright file.
  * Update dependency on pytools.
  * Use dpkg's pkg-info.mk instead of dpkg-parsechangelog.
  * Refresh patches.
  * Change Priority of debugging packages to optional.
  * Change debian/watch file to use HTTPS, as suggested by lintian.
  * Use HTTPS URL of upstream URL.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 09 Dec 2017 18:46:46 +0100

pyopencl (2016.1+git20161130-1) unstable; urgency=medium

  * New upstream release.
  * Add DEB_BUILD_PROFILES support for disabling documentation building .
  * Patch Sphinx documentation to allow for reproducible builds.
  * Do not try to fetch external Sphinx objects, use ones from Debian
    packages.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Mon, 05 Dec 2016 18:43:23 +0100

pyopencl (2016.1+git20161003-2) unstable; urgency=medium

  * Drop mips64el architecture as there is no OpenCL ICD for it.
  * Set pocl-opencl-icd as the first alternative dependency; it's
    the best default choice when there no other OpenCL ICD installed
    as it uses CPU and no specialized hardware.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 22 Nov 2016 22:48:00 +0100

pyopencl (2016.1+git20161003-1) unstable; urgency=low

  * Build for all architectures with available OpenCL ICD (Closes: #800634).
  * Set Multi-Arch: foreign for documentation package.
  * Set compatibility level to 10; no changes necessary.
  * Drop python3.patch, accepted upstream.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 28 Oct 2016 20:55:35 +0200

pyopencl (2016.1+git20160809-3) experimental; urgency=medium

  * Build for all architectures for which we have OpenCL ICDs.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 13 Sep 2016 20:45:47 +0200

pyopencl (2016.1+git20160809-2) unstable; urgency=low

  * Add python3.patch for removing improper print (Closes: #837488).
  * Extract common licenses in debian/copyright.
  * Add hardening option "bindnow".

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 13 Sep 2016 18:38:01 +0200

pyopencl (2016.1+git20160809-1) unstable; urgency=low

  * New upstream release (Closes: #826025)
  * Move to pybuild as build system, simplifying d/rules.
  * Update Standards-Version to 3.9.8; no changes necessary.
  * Build Sphinx documentation using Python 3, rebuild with new Sphinx.
  * Update debian/copyright links, after change in upstream.
  * Drop dependency on python-cffi - path by Stefano Rivera (Closes: #833149).
  * Mako is used during building documentation so add it as build-dependency.
  * Change dependency to opencl-c-headers.
  * Use debian/clean to clean CFFI-related build files.
  * Add new software license to debian/copyright.
  * Update debian/copyright links as upstream changed them.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 11 Sep 2016 14:41:38 +0200

pyopencl (2015.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary python-versions.patch, refresh other patches.
  * Drop Boost Python dependency, add cffi dependency.
  * Ensure that generated cffi_build.py is removed on clean target.
  * Update Standards-Version to 3.9.7; no changes necessary.
  * Change Vcs-* links to use https.
  * Bump pytools dependency.
  * Add versions to some of Python dependencies, simplify other dependencies.
  * Update copyright.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 27 Mar 2016 19:06:41 +0200

pyopencl (2015.1-2) unstable; urgency=medium

  * Make the build reproducible by correctly passing changelog
    date to Sphinx - thanks to Juan Picca for patch (Closes: #788486).
  * Fix problems with d/copyright pointed by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 16 Jun 2015 19:41:30 +0200

pyopencl (2015.1-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible by passing changelog date to Sphinx.
  * Fix debian/watch to work with PyPI.
  * Add dh-python to Build-Depends.
  * Drop use-appdirs.patch, merged by upstream.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 09 Jun 2015 23:00:50 +0200

pyopencl (2014.1-3) unstable; urgency=medium

  * Add dependency to appdirs and use it to create cache directories
    (Closes: #770692).
  * Update Standards-Version to 3.9.6; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 29 Nov 2014 11:43:47 +0100

pyopencl (2014.1-2) unstable; urgency=medium

  * Add build-time dependency on ocl-icd-opencl-dev (Closes: #761566).
  * Fix problems with debian/copyright pointed by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 04 Oct 2014 18:46:56 +0200

pyopencl (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump pytools dependency to 2014.2.
  * Fix Vcs-Browser links, as pointed in #749489.
  * Remove merged fix-device-number.patch.
  * Change d/rules get-orig-source to pack *.orig.tar with xz, not with gzip.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 18 Jun 2014 19:15:35 +0200

pyopencl (2013.2+git20140421-1) unstable; urgency=low

  * New upstream version.
  * Move to main as Mesa and Beignet provides free OpenCL implementations
    (Closes: #723132).
  * Change python-pyopencl-doc recommendation of Python and Python 3 packages
    to suggestions to avoid installing unwanted packages (Closes: #739173).
  * Change dependencies on OpenCL ICDs to prefer Mesa - available in main
    and free (Closes: #739176).
  * Add missing dependency on python(3)-pkg-resources (Closes: #745194).
  * Update Standards-Version to 3.9.5; no changes necessary.
  * Remove warning about missing Mako from build phase.
  * Add patch to fix problem with enumerating devices.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 22 Apr 2014 16:47:51 +0200

pyopencl (2013.2-1) unstable; urgency=low

  * New upstream release.
  * Remove unnecessary entry from debian/copyright.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 28 Nov 2013 19:38:21 +0100

pyopencl (2013.1+git20130916-1) unstable; urgency=low

  * New upstream release, removing non-free file from examples (#722014)
  * Update changed Sphinx doc build directory.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 17 Sep 2013 18:03:59 +0200

pyopencl (2013.1-1) unstable; urgency=low

  * New upstream release.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 17 Jul 2013 20:09:12 +0200

pyopencl (2013.1~git20130628-1) unstable; urgency=low

  * New upstream release.
  * Bump pytools dependency to 2013.5.2.
  * Update patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 30 Jun 2013 18:21:30 +0200

pyopencl (2013.1~git20130613-1) unstable; urgency=low

  * New upstream release.
  * Add *-dbg packages.
  * Remove *-headers package; upstream now ships headers in python directory.
  * Upstream switched to setuptools, update patches to deal with it.
  * Do not call dh_sphinxdoc for architecture dependent builds, build
    documentation in separate step in debian/rules (Closes: #711926)
  * Add README.source describing get-orig-source in debian/rules.
  * Disable package optimisation option as it might clash with hardening
    compile options.
  * Include tests (all files in test/) in documentation package.
  * Fix VCS-* fields to contain canonical URIs.
  * Update Standards-Version to 3.9.4; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Mon, 17 Jun 2013 22:30:57 +0200

pyopencl (2012.1.dfsg-1) stable; urgency=low

  * Remove non-free file from examples (#722014) and now-unnecessary
    entry from debian/copyright (Closes: #723587).

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 24 Sep 2013 18:58:01 +0200

pyopencl (2012.1-1) unstable; urgency=low

  * New upstream release.
  * Depend on free ocl-icd-libopencl1 instead of non-free libraries.
  * Add NEWS entry describing OpenCL library dependencies.
  * Change my email.
  * Move python-pyopengl from Recommends to Suggests because package
    can be used for computations without any graphical environment.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Thu, 21 Jun 2012 21:18:03 +0200

pyopencl (2011.2+git20120517-1) unstable; urgency=low

  * New upstream release.
  * Call dh_numpy3 in debian/rules for NumPy ABI and ABI dependencies
    in Python3 module.
  * Fix copyright for files in src/cl/*
  * Update debian/compat to 9, update dependencies.
  * Add Replaces: python-pyopencl to python-pyopencl-headers to avoid problem
    with updating, and ensure that python-pyopencl and python3-pyopencl
    always use correct version of python-pyopencl-headers. (Closes: #674000)
  * Add NEWS entry describing OpenCL library dependencies. (Closes: #673992)

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 29 May 2012 19:52:40 +0200

pyopencl (2011.2+git20120508-1) unstable; urgency=low

  * New upstream release.
  * Add Python 3 package, create separate python-pyopencl-headers package.
  * Update Standards-Version to 3.9.3.
  * Update debian/copyright to official 1.0 format.
  * Call dh_numpy in debian/rules for NumPy ABI and ABI dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Tue, 08 May 2012 23:04:52 +0200

pyopencl (2011.2-1) unstable; urgency=low

  * New upstream release.
  * Change dependencies and build-dependencies to allow installation
    with non-NVIDIA (particularly AMD) OpenCL provider (Closes: #628702)
  * Remove unnecessary ./configure option pointing to include directory;
    OpenCL header files are now in /usr/include
  * Split into python-pyopencl and python-pyopencl-doc packages.
  * Use dh_sphinxdoc to properly manage documentation.
  * Add doc-base support
  * Fix copyright for files in compyte/*
  * Remove pytest override as package uses only py.test

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 28 Nov 2011 13:39:37 +0100

pyopencl (2011.1.2+git20110716-1) unstable; urgency=low

  * New upstream release
  * Update Standards-Version to 3.9.2; no changes necessary.
  * Switch to debhelper compat level 8; no changes necessary.
  * Add option in debian/source/ to unapply patches after build.
  * Change debian/rules to use dh_python2 which is recommended in Wheezy
  * Add override python-py of pytest package
  * Disable compressing Sphinx-generated files (Closes: #608778)
  * Change dependencies to OpenCL virtual packages to allow other OpenCL
    providers. #628702 is not yet closed because of lack of change in build
    dependencies.

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 18 Jul 2011 13:32:06 +0200

pyopencl (0.92-1) unstable; urgency=high

  * New upstream release
  * Fixed Vcs-* URLs in debian/control; now they point to Alioth
    instead of upstream git repository (Closes: #599875)
  * Fixed Maintainer field in debian/copyright (Closes: #599873)
  * Added missing licence for pyopencl/clrandom.py file (Closes: #599874)
  * Fixed FTBFS on i386 (Closes: #599782)
  * Forced build scripts not to use boost libraries that might be included
    in the source
  * Removed messages about missing Boost libraries; they are superfluous
    as package is using Debian ones
  * Update Standards-Version to 3.9.1; no changes necessary.
  * Changed dependencies:
    * Added alternative dependency to help with post-Squeeze changes
      in NVIDIA driver packages
    * Added alternative build-dependency on nvidia-libopencl1
      and opencl-headers instead of nvidia-libopencl1-dev
      which will be removed from NVIDIA driver packages after Squeeze

 -- Tomasz Rybak <bogomips@post.pl>  Fri, 05 Nov 2010 14:52:35 +0100

pyopencl (0.92~beta+git20100709-1) unstable; urgency=low

  * Initial release
  * Replaced usage of setuptools with python-setuptools from Debian
  * Deleted jquery.js and replace it with link to script from libjs-jquery

 -- Tomasz Rybak <bogomips@post.pl>  Mon, 31 May 2010 19:29:00 +0200
